# Uses of Interface
org.eclipse.help.IHelpResource

Packages that use IHelpResource
Package
Description
org.eclipse.help
Provides core help system for the platform.
org.eclipse.help.internal
org.eclipse.help.search
Provides the ability to add participants to help search and is responsible for creating search indices.
org.eclipse.help.ui.internal

## Uses of IHelpResource in org.eclipse.help

Subinterfaces of IHelpResource in org.eclipse.help
Modifier and Type
Interface
Description
`interface`
`IToc`
An `IToc` represents the root node of a toc, for either a complete toc (book) or a part of one to be assembled into a larger one.
`interface`
`IToc2`
`IToc2` extends `IToc` by adding methods to support functionality for criteria, topic sorting and custom icons
`interface`
`ITopic`
An `ITopic` is one topic in the table of contents, which may contain subtopics.
`interface`
`ITopic2`
`ITopic2` extends `ITopic` by adding methods to support functionality for criteria, topic sorting and custom icons
Methods in org.eclipse.help that return IHelpResource
Modifier and Type
Method
Description
`IHelpResource[]`
IContext.`getRelatedTopics()`
Returns the related topics for this help context.
Methods in org.eclipse.help with parameters of type IHelpResource
Modifier and Type
Method
Description
`void`
IHelp.`displayHelpResource(IHelpResource helpResource)`
Deprecated.
Use WorkbenchHelp.displayHelpResource(helpResource.getHref()) instead.
`String`
IContext2.`getCategory(IHelpResource topic)`
Returns the category of the provided topic.

## Uses of IHelpResource in org.eclipse.help.internal

Classes in org.eclipse.help.internal that implement IHelpResource
Modifier and Type
Class
Description
`class`
`Topic`

## Uses of IHelpResource in org.eclipse.help.search

Methods in org.eclipse.help.search that return IHelpResource
Modifier and Type
Method
Description
`IHelpResource`
ISearchEngineResult.`getCategory()`
Returns a category this search result belongs to.
Methods in org.eclipse.help.search with parameters of type IHelpResource
Modifier and Type
Method
Description
`ISearchResult[]`
AbstractSearchProcessor.`postSearch(String query, String originalQuery, ISearchResult[] results, String locale, IHelpResource[] scopes)`
This method is called after the search is performed.

## Uses of IHelpResource in org.eclipse.help.ui.internal

Methods in org.eclipse.help.ui.internal with parameters of type IHelpResource
Modifier and Type
Method
Description
`protected void`
ContextHelpDialog.`launchLinks(IHelpResource selectedTopic)`
Called when related link has been chosen Opens help viewer with list of all related topics